> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Job Status



## OpenAPI

````yaml /openapi.json get /api/v1/brands/{brand_id}/brand-intelligence/native-create/jobs/{job_id}
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brands/{brand_id}/brand-intelligence/native-create/jobs/{job_id}:
    get:
      tags:
        - SEO and Content Create
      summary: Job Status
      operationId: >-
        job_status_api_v1_brands__brand_id__brand_intelligence_native_create_jobs__job_id__get
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Brand Id
        - name: job_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Job Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NativeCreateJobView'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    NativeCreateJobView:
      properties:
        jobId:
          type: string
          format: uuid
          title: Jobid
        ownerId:
          type: string
          format: uuid
          title: Ownerid
        revisionId:
          type: string
          format: uuid
          title: Revisionid
        childContext:
          anyOf:
            - $ref: '#/components/schemas/NativeCreateChildContext'
            - type: 'null'
        module:
          type: string
          enum:
            - seo
            - content
          title: Module
        deliverable:
          type: string
          enum:
            - seo_strategy
            - seo_refresh
            - content_strategy
            - content_asset
            - content_plan
          title: Deliverable
        state:
          type: string
          enum:
            - accepted
            - queued
            - claiming
            - running
            - succeeded
            - failed
            - cancel_requested
            - cancelled
            - reconciling
          title: State
        accessState:
          type: string
          enum:
            - available
            - restricted
            - erased
          title: Accessstate
        createdAt:
          type: string
          format: date-time
          title: Createdat
        updatedAt:
          type: string
          format: date-time
          title: Updatedat
        completedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completedat
        items:
          items:
            $ref: '#/components/schemas/NativeCreateJobItemView'
          type: array
          maxItems: 21
          title: Items
        errorCode:
          anyOf:
            - type: string
              maxLength: 120
              minLength: 1
              pattern: ^[A-Za-z0-9][A-Za-z0-9_.:-]*$
            - type: 'null'
          title: Errorcode
        statusMessage:
          anyOf:
            - type: string
              maxLength: 500
              minLength: 1
            - type: 'null'
          title: Statusmessage
        reused:
          type: boolean
          title: Reused
          default: false
      additionalProperties: false
      type: object
      required:
        - jobId
        - ownerId
        - revisionId
        - module
        - deliverable
        - state
        - accessState
        - createdAt
        - updatedAt
      title: NativeCreateJobView
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NativeCreateChildContext:
      properties:
        programRevisionId:
          type: string
          format: uuid
          title: Programrevisionid
        assetId:
          type: string
          format: uuid
          title: Assetid
        childRevisionId:
          type: string
          format: uuid
          title: Childrevisionid
      additionalProperties: false
      type: object
      required:
        - programRevisionId
        - assetId
        - childRevisionId
      title: NativeCreateChildContext
    NativeCreateJobItemView:
      properties:
        itemKey:
          type: string
          maxLength: 120
          minLength: 1
          pattern: ^[A-Za-z0-9][A-Za-z0-9_.:-]*$
          title: Itemkey
        revisionId:
          type: string
          format: uuid
          title: Revisionid
        assetId:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Assetid
        state:
          type: string
          enum:
            - accepted
            - queued
            - claiming
            - running
            - succeeded
            - failed
            - cancel_requested
            - cancelled
            - reconciling
          title: State
        errorCode:
          anyOf:
            - type: string
              maxLength: 120
              minLength: 1
              pattern: ^[A-Za-z0-9][A-Za-z0-9_.:-]*$
            - type: 'null'
          title: Errorcode
      additionalProperties: false
      type: object
      required:
        - itemKey
        - revisionId
        - state
      title: NativeCreateJobItemView
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````